# powershell v2 compatibility
$psVer = $PSVersionTable.PSVersion.Major
if ($psVer -ge 3) {
  function Get-ChildItemDir {Get-ChildItem -Directory $args}
} else {
  function Get-ChildItemDir {Get-ChildItem $args}
}
# MetaPackage
$warningPreference = "Continue"
$chocoLib = Join-Path $env:ChocolateyInstall "lib"
if (Test-Path -PathType Container (Join-Path $chocoLib 'cyberduck.*')) {
  Write-Warning "Uninstall NOT complete."
  Write-Host 
@"
  This package is a metapackage; a chocolatey feature not yet fully implemented.
  To retain future compatibility this package does not uninstall the dependent
  package it points to as designated with *.install or *.portable.`n
"@
  Write-Warning "To finish removing the program installed by package cyberduck, please also run the command:"
  $text += " `n`tchoco uninstall "
  $list = (Get-ChildItemDir $chocoLib\cyberduck.*).Name
  foreach ($i in $list) {
    $text += "$i "
  }
  $text += "-y`n"
  Write-Host $text
}